Subject: bug#41726: vala-mitx2 test fails with gcc10

From: Andreas Radke <[email-masked]>
Date: Sat, 6 Jun 2020 22:11:10 +0200

Am Sat, 6 Jun 2020 09:52:02 -0600
schrieb Karl Berry <[email-masked]>:

> Hi Andy - thanks for the report.
> 
>     /usr/bin/ld: baz.o:(.bss+0x0): multiple definition of `foo';
>     bar.o:(.bss+0x0): first defined here
> 
> Looking at the sources in that test, it seems that the extern and the
> initialization were mixed up. I don't have either vala or gcc10
> readily at hand. Would you be able to try this change, please?
> 
> To run just this one test, I think this incantation should do it (from
> the top-level automake source directory, where you unpacked the
> tarball): make check TESTS=t/vala-mix2.sh
> 
> Thanks again,
> Karl
> 
> 
> diff --git a/t/vala-mix2.sh b/t/vala-mix2.sh
> index 8e6a214..933a3ff 100644
> --- a/t/vala-mix2.sh
> +++ b/t/vala-mix2.sh
> @@ -44,7 +44,7 @@ int main ()
>  END
>  
>  cat > foo.h <<'END'
> -int foo;
> +extern int foo;
>  int bar (void);
>  int baz (void);
>  END
> @@ -56,7 +56,7 @@ END
>  
>  cat > baz.c <<'END'
>  #include "foo.h"
> -extern int foo = 0;
> +int foo = 0;
>  int baz (void) { return 0; }
>  END
>  

Thanks, with your patch applied I can remove the gcc workaround and the
test is still passing. Thank you for the quick fix.

-Andy
Arch Linux